import request from "@/utils/request";

// 设备信息维护

// 获取供应商
export function getGYS(data) {
  return request({
    url: "/emSbjbb/getGYS",
    method: "post",
    data,
  });
}

export function getGhs(data) {
  return request({
    url: "/emSbjbb/getGhs",
    method: "post",
    data,
  });
}

// 获取设备分类
export function getSBLX(data) {
  return request({
    url: "/emSbjbb/getSBLX",
    method: "post",
    data,
  });
}

// 设备信息转码
export function emSbjbbZM(data) {
  return request({
    url: "/api/sy/emSbjbbZM",
    method: "post",
    data,
  });
}

// 获取列表
export function getList(data) {
  return request({
    url: "/emSbjbb/getList",
    method: "post",
    data,
  });
}

// 批量新增
export function save(data) {
  return request({
    url: "/emSbjbb/save",
    method: "post",
    data,
  });
}
// 批量修改
export function update(data) {
  return request({
    url: "/emSbjbb/update",
    method: "post",
    data,
  });
}

// 批量删除
export function delete1(data) {
  return request({
    url: "/emSbjbb/delete",
    method: "post",
    data,
  });
}
